package com.tenlionsoft.baselib.core.beans;

import com.contrarywind.interfaces.IPickerViewData;

import java.util.List;

/**
 * 作者: adam
 * 日期: 2022/4/13 - 5:19 下午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class UserInfoBean {

    private String dataRight;
    private ExpandDataBean expandData;
    private String userAvatar;
    private String userEmail;
    private String userId;
    private String userName;
    private String userPhone;
    private String userUsername;
    private List<?> dataUserIds;
    private List<DepartmentsBean> departments;
    private List<GroupsBean> groups;
    private List<PositionsBean> positions;
    private List<RolesBean> roles;
    private List<?> rootDepartmentIds;

    public String getDataRight() {
        return dataRight;
    }

    public void setDataRight(String dataRight) {
        this.dataRight = dataRight;
    }

    public ExpandDataBean getExpandData() {
        return expandData;
    }

    public void setExpandData(ExpandDataBean expandData) {
        this.expandData = expandData;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

    public String getUserEmail() {
        return userEmail;
    }

    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getUserUsername() {
        return userUsername;
    }

    public void setUserUsername(String userUsername) {
        this.userUsername = userUsername;
    }

    public List<?> getDataUserIds() {
        return dataUserIds;
    }

    public void setDataUserIds(List<?> dataUserIds) {
        this.dataUserIds = dataUserIds;
    }

    public List<DepartmentsBean> getDepartments() {
        return departments;
    }

    public void setDepartments(List<DepartmentsBean> departments) {
        this.departments = departments;
    }

    public List<GroupsBean> getGroups() {
        return groups;
    }

    public void setGroups(List<GroupsBean> groups) {
        this.groups = groups;
    }

    public List<PositionsBean> getPositions() {
        return positions;
    }

    public void setPositions(List<PositionsBean> positions) {
        this.positions = positions;
    }

    public List<RolesBean> getRoles() {
        return roles;
    }

    public void setRoles(List<RolesBean> roles) {
        this.roles = roles;
    }

    public List<?> getRootDepartmentIds() {
        return rootDepartmentIds;
    }

    public void setRootDepartmentIds(List<?> rootDepartmentIds) {
        this.rootDepartmentIds = rootDepartmentIds;
    }

    public static class ExpandDataBean {
    }

    public static class DepartmentsBean implements IPickerViewData {
        private String departmentCode;
        private String departmentId;
        private String departmentName;
        private String departmentNo;
        private String departmentParentId;

        public String getDepartmentCode() {
            return departmentCode;
        }

        public void setDepartmentCode(String departmentCode) {
            this.departmentCode = departmentCode;
        }

        public String getDepartmentId() {
            return departmentId;
        }

        public void setDepartmentId(String departmentId) {
            this.departmentId = departmentId;
        }

        public String getDepartmentName() {
            return departmentName;
        }

        public void setDepartmentName(String departmentName) {
            this.departmentName = departmentName;
        }

        public String getDepartmentNo() {
            return departmentNo;
        }

        public void setDepartmentNo(String departmentNo) {
            this.departmentNo = departmentNo;
        }

        public String getDepartmentParentId() {
            return departmentParentId;
        }

        public void setDepartmentParentId(String departmentParentId) {
            this.departmentParentId = departmentParentId;
        }

        @Override
        public String getPickerViewText() {
            return departmentName;
        }
    }

    public static class GroupsBean {
        private String groupCode;
        private String groupId;
        private String groupName;
        private String groupParentId;

        public String getGroupCode() {
            return groupCode;
        }

        public void setGroupCode(String groupCode) {
            this.groupCode = groupCode;
        }

        public String getGroupId() {
            return groupId;
        }

        public void setGroupId(String groupId) {
            this.groupId = groupId;
        }

        public String getGroupName() {
            return groupName;
        }

        public void setGroupName(String groupName) {
            this.groupName = groupName;
        }

        public String getGroupParentId() {
            return groupParentId;
        }

        public void setGroupParentId(String groupParentId) {
            this.groupParentId = groupParentId;
        }
    }

    public static class PositionsBean {
        private String positionCode;
        private String positionId;
        private String positionName;
        private String positionParentId;

        public String getPositionCode() {
            return positionCode;
        }

        public void setPositionCode(String positionCode) {
            this.positionCode = positionCode;
        }

        public String getPositionId() {
            return positionId;
        }

        public void setPositionId(String positionId) {
            this.positionId = positionId;
        }

        public String getPositionName() {
            return positionName;
        }

        public void setPositionName(String positionName) {
            this.positionName = positionName;
        }

        public String getPositionParentId() {
            return positionParentId;
        }

        public void setPositionParentId(String positionParentId) {
            this.positionParentId = positionParentId;
        }
    }

    public static class RolesBean {
        private String roleCode;
        private String roleDataRight;
        private String roleId;
        private String roleName;
        private String roleParentId;

        public String getRoleCode() {
            return roleCode;
        }

        public void setRoleCode(String roleCode) {
            this.roleCode = roleCode;
        }

        public String getRoleDataRight() {
            return roleDataRight;
        }

        public void setRoleDataRight(String roleDataRight) {
            this.roleDataRight = roleDataRight;
        }

        public String getRoleId() {
            return roleId;
        }

        public void setRoleId(String roleId) {
            this.roleId = roleId;
        }

        public String getRoleName() {
            return roleName;
        }

        public void setRoleName(String roleName) {
            this.roleName = roleName;
        }

        public String getRoleParentId() {
            return roleParentId;
        }

        public void setRoleParentId(String roleParentId) {
            this.roleParentId = roleParentId;
        }
    }
}
